## API Report File for "@fluentui/react-virtualizer"

> Do not edit this file. It is a report generated by [API Extractor](https://api-extractor.com/).

```ts

import type { ComponentProps } from '@fluentui/react-utilities';
import type { ComponentState } from '@fluentui/react-utilities';
import type { Dispatch } from 'react';
import type { FC } from 'react';
import type { MutableRefObject } from 'react';
import * as React_2 from 'react';
import type { SetStateAction } from 'react';
import type { Slot } from '@fluentui/react-utilities';
import type { SlotClassNames } from '@fluentui/react-utilities';

// @public (undocumented)
export const renderVirtualizer_unstable: (state: VirtualizerState) => JSX.Element;

// @public
export const useIntersectionObserver: (callback: IntersectionObserverCallback, options?: IntersectionObserverInit | undefined) => {
    setObserverList: Dispatch<SetStateAction<Element[] | undefined>>;
    setObserverInit: Dispatch<SetStateAction<IntersectionObserverInit | undefined>>;
    observer: MutableRefObject<IntersectionObserver | undefined>;
};

// @public (undocumented)
export function useVirtualizer_unstable(props: VirtualizerProps): VirtualizerState;

// @public
export const useVirtualizerStyles_unstable: (state: VirtualizerState) => VirtualizerState;

// @public
export const Virtualizer: FC<VirtualizerProps>;

// @public (undocumented)
export type VirtualizerChildRenderFunction = (index: number) => React_2.ReactNode;

// @public (undocumented)
export const virtualizerClassNames: SlotClassNames<VirtualizerSlots>;

// @public (undocumented)
export type VirtualizerProps = ComponentProps<Partial<VirtualizerSlots>> & {
    children: VirtualizerChildRenderFunction;
    itemSize: number;
    numItems: number;
    virtualizerLength: number;
    bufferItems?: number;
    bufferSize?: number;
    intersectionObserverRoot?: React_2.MutableRefObject<HTMLElement | null>;
    axis?: 'vertical' | 'horizontal';
    reversed?: boolean;
    getItemSize?: (index: number) => number;
    onUpdateIndex?: (index: number, prevIndex: number) => void;
    onCalculateIndex?: (newIndex: number) => number;
};

// @public (undocumented)
export type VirtualizerSlots = {
    before: NonNullable<Slot<'div', 'td'>>;
    beforeContainer: NonNullable<Slot<'div', 'tr'>>;
    after: NonNullable<Slot<'div', 'td'>>;
    afterContainer: NonNullable<Slot<'div', 'tr'>>;
};

// @public (undocumented)
export type VirtualizerState = ComponentState<VirtualizerSlots> & {
    virtualizedChildren: React_2.ReactNode[];
    virtualizerStartIndex: number;
    afterBufferHeight: number;
    beforeBufferHeight: number;
    totalVirtualizerHeight: number;
    axis?: 'vertical' | 'horizontal';
    reversed?: boolean;
    bufferSize: number;
};

// (No @packageDocumentation comment for this package)

```
